//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.12.16 at 11:48:39 AM CET 
//


package org.tdwg.ggbn;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * Container element for DNA sequencings
 * 			
 * 
 * <p>Java class for sequencing complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="sequencing">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="cloningDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="cloningStaff" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="cloningMethod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="cloneStrain" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CloningPrimers" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="cloningPrimer" type="{http://data.ggbn.org/schemas/ggbn/terms}primer" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="GC-Content" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SingleSequencings" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="singleSequencing" type="{http://data.ggbn.org/schemas/ggbn/terms}singleSequencing" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="consensusSequence" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="consensusSequenceLength" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="consensusSequenceChromatogramFileURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *         &lt;element name="barcodeSequence" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="chimera_check" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="assembly" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="sop" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="finishing_strategy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="annotation_source" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="markerAccordance" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="seq_quality_check" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="haplotype" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="geneticAccession" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="geneticAccessionNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="geneticAccessionNumberURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *                   &lt;element name="BOLDProcessID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="References" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Reference" type="{http://data.ggbn.org/schemas/ggbn/terms}Reference" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "sequencing", propOrder = {
    "cloningDate",
    "cloningStaff",
    "cloningMethod",
    "cloneStrain",
    "cloningPrimers",
    "gcContent",
    "singleSequencings",
    "consensusSequence",
    "consensusSequenceLength",
    "consensusSequenceChromatogramFileURI",
    "barcodeSequence",
    "chimeraCheck",
    "assembly",
    "sop",
    "finishingStrategy",
    "annotationSource",
    "markerAccordance",
    "seqQualityCheck",
    "haplotype",
    "geneticAccession",
    "references"
})
public class Sequencing {

    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar cloningDate;
    protected String cloningStaff;
    protected String cloningMethod;
    protected String cloneStrain;
    @XmlElement(name = "CloningPrimers")
    protected Sequencing.CloningPrimers cloningPrimers;
    @XmlElement(name = "GC-Content")
    protected String gcContent;
    @XmlElement(name = "SingleSequencings")
    protected Sequencing.SingleSequencings singleSequencings;
    protected String consensusSequence;
    protected String consensusSequenceLength;
    @XmlSchemaType(name = "anyURI")
    protected String consensusSequenceChromatogramFileURI;
    protected String barcodeSequence;
    @XmlElement(name = "chimera_check")
    protected String chimeraCheck;
    protected String assembly;
    protected String sop;
    @XmlElement(name = "finishing_strategy")
    protected String finishingStrategy;
    @XmlElement(name = "annotation_source")
    protected String annotationSource;
    protected String markerAccordance;
    @XmlElement(name = "seq_quality_check")
    protected String seqQualityCheck;
    protected String haplotype;
    protected Sequencing.GeneticAccession geneticAccession;
    @XmlElement(name = "References")
    protected Sequencing.References references;

    /**
     * Gets the value of the cloningDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCloningDate() {
        return cloningDate;
    }

    /**
     * Sets the value of the cloningDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCloningDate(XMLGregorianCalendar value) {
        this.cloningDate = value;
    }

    /**
     * Gets the value of the cloningStaff property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCloningStaff() {
        return cloningStaff;
    }

    /**
     * Sets the value of the cloningStaff property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCloningStaff(String value) {
        this.cloningStaff = value;
    }

    /**
     * Gets the value of the cloningMethod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCloningMethod() {
        return cloningMethod;
    }

    /**
     * Sets the value of the cloningMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCloningMethod(String value) {
        this.cloningMethod = value;
    }

    /**
     * Gets the value of the cloneStrain property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCloneStrain() {
        return cloneStrain;
    }

    /**
     * Sets the value of the cloneStrain property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCloneStrain(String value) {
        this.cloneStrain = value;
    }

    /**
     * Gets the value of the cloningPrimers property.
     * 
     * @return
     *     possible object is
     *     {@link Sequencing.CloningPrimers }
     *     
     */
    public Sequencing.CloningPrimers getCloningPrimers() {
        return cloningPrimers;
    }

    /**
     * Sets the value of the cloningPrimers property.
     * 
     * @param value
     *     allowed object is
     *     {@link Sequencing.CloningPrimers }
     *     
     */
    public void setCloningPrimers(Sequencing.CloningPrimers value) {
        this.cloningPrimers = value;
    }

    /**
     * Gets the value of the gcContent property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGCContent() {
        return gcContent;
    }

    /**
     * Sets the value of the gcContent property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGCContent(String value) {
        this.gcContent = value;
    }

    /**
     * Gets the value of the singleSequencings property.
     * 
     * @return
     *     possible object is
     *     {@link Sequencing.SingleSequencings }
     *     
     */
    public Sequencing.SingleSequencings getSingleSequencings() {
        return singleSequencings;
    }

    /**
     * Sets the value of the singleSequencings property.
     * 
     * @param value
     *     allowed object is
     *     {@link Sequencing.SingleSequencings }
     *     
     */
    public void setSingleSequencings(Sequencing.SingleSequencings value) {
        this.singleSequencings = value;
    }

    /**
     * Gets the value of the consensusSequence property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsensusSequence() {
        return consensusSequence;
    }

    /**
     * Sets the value of the consensusSequence property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsensusSequence(String value) {
        this.consensusSequence = value;
    }

    /**
     * Gets the value of the consensusSequenceLength property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsensusSequenceLength() {
        return consensusSequenceLength;
    }

    /**
     * Sets the value of the consensusSequenceLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsensusSequenceLength(String value) {
        this.consensusSequenceLength = value;
    }

    /**
     * Gets the value of the consensusSequenceChromatogramFileURI property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsensusSequenceChromatogramFileURI() {
        return consensusSequenceChromatogramFileURI;
    }

    /**
     * Sets the value of the consensusSequenceChromatogramFileURI property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsensusSequenceChromatogramFileURI(String value) {
        this.consensusSequenceChromatogramFileURI = value;
    }

    /**
     * Gets the value of the barcodeSequence property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBarcodeSequence() {
        return barcodeSequence;
    }

    /**
     * Sets the value of the barcodeSequence property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBarcodeSequence(String value) {
        this.barcodeSequence = value;
    }

    /**
     * Gets the value of the chimeraCheck property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChimeraCheck() {
        return chimeraCheck;
    }

    /**
     * Sets the value of the chimeraCheck property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChimeraCheck(String value) {
        this.chimeraCheck = value;
    }

    /**
     * Gets the value of the assembly property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAssembly() {
        return assembly;
    }

    /**
     * Sets the value of the assembly property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAssembly(String value) {
        this.assembly = value;
    }

    /**
     * Gets the value of the sop property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSop() {
        return sop;
    }

    /**
     * Sets the value of the sop property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSop(String value) {
        this.sop = value;
    }

    /**
     * Gets the value of the finishingStrategy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFinishingStrategy() {
        return finishingStrategy;
    }

    /**
     * Sets the value of the finishingStrategy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFinishingStrategy(String value) {
        this.finishingStrategy = value;
    }

    /**
     * Gets the value of the annotationSource property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAnnotationSource() {
        return annotationSource;
    }

    /**
     * Sets the value of the annotationSource property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAnnotationSource(String value) {
        this.annotationSource = value;
    }

    /**
     * Gets the value of the markerAccordance property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMarkerAccordance() {
        return markerAccordance;
    }

    /**
     * Sets the value of the markerAccordance property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMarkerAccordance(String value) {
        this.markerAccordance = value;
    }

    /**
     * Gets the value of the seqQualityCheck property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSeqQualityCheck() {
        return seqQualityCheck;
    }

    /**
     * Sets the value of the seqQualityCheck property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSeqQualityCheck(String value) {
        this.seqQualityCheck = value;
    }

    /**
     * Gets the value of the haplotype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHaplotype() {
        return haplotype;
    }

    /**
     * Sets the value of the haplotype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHaplotype(String value) {
        this.haplotype = value;
    }

    /**
     * Gets the value of the geneticAccession property.
     * 
     * @return
     *     possible object is
     *     {@link Sequencing.GeneticAccession }
     *     
     */
    public Sequencing.GeneticAccession getGeneticAccession() {
        return geneticAccession;
    }

    /**
     * Sets the value of the geneticAccession property.
     * 
     * @param value
     *     allowed object is
     *     {@link Sequencing.GeneticAccession }
     *     
     */
    public void setGeneticAccession(Sequencing.GeneticAccession value) {
        this.geneticAccession = value;
    }

    /**
     * Gets the value of the references property.
     * 
     * @return
     *     possible object is
     *     {@link Sequencing.References }
     *     
     */
    public Sequencing.References getReferences() {
        return references;
    }

    /**
     * Sets the value of the references property.
     * 
     * @param value
     *     allowed object is
     *     {@link Sequencing.References }
     *     
     */
    public void setReferences(Sequencing.References value) {
        this.references = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="cloningPrimer" type="{http://data.ggbn.org/schemas/ggbn/terms}primer" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "cloningPrimer"
    })
    public static class CloningPrimers {

        protected List<Primer> cloningPrimer;

        /**
         * Gets the value of the cloningPrimer property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the cloningPrimer property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCloningPrimer().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Primer }
         * 
         * 
         */
        public List<Primer> getCloningPrimer() {
            if (cloningPrimer == null) {
                cloningPrimer = new ArrayList<Primer>();
            }
            return this.cloningPrimer;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="geneticAccessionNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="geneticAccessionNumberURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
     *         &lt;element name="BOLDProcessID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "geneticAccessionNumber",
        "geneticAccessionNumberURI",
        "boldProcessID"
    })
    public static class GeneticAccession {

        protected String geneticAccessionNumber;
        @XmlSchemaType(name = "anyURI")
        protected String geneticAccessionNumberURI;
        @XmlElement(name = "BOLDProcessID")
        protected String boldProcessID;

        /**
         * Gets the value of the geneticAccessionNumber property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGeneticAccessionNumber() {
            return geneticAccessionNumber;
        }

        /**
         * Sets the value of the geneticAccessionNumber property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGeneticAccessionNumber(String value) {
            this.geneticAccessionNumber = value;
        }

        /**
         * Gets the value of the geneticAccessionNumberURI property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGeneticAccessionNumberURI() {
            return geneticAccessionNumberURI;
        }

        /**
         * Sets the value of the geneticAccessionNumberURI property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGeneticAccessionNumberURI(String value) {
            this.geneticAccessionNumberURI = value;
        }

        /**
         * Gets the value of the boldProcessID property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getBOLDProcessID() {
            return boldProcessID;
        }

        /**
         * Sets the value of the boldProcessID property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setBOLDProcessID(String value) {
            this.boldProcessID = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Reference" type="{http://data.ggbn.org/schemas/ggbn/terms}Reference" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "reference"
    })
    public static class References {

        @XmlElement(name = "Reference", required = true)
        protected List<Reference> reference;

        /**
         * Gets the value of the reference property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the reference property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getReference().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Reference }
         * 
         * 
         */
        public List<Reference> getReference() {
            if (reference == null) {
                reference = new ArrayList<Reference>();
            }
            return this.reference;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="singleSequencing" type="{http://data.ggbn.org/schemas/ggbn/terms}singleSequencing" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "singleSequencing"
    })
    public static class SingleSequencings {

        @XmlElement(required = true)
        protected List<SingleSequencing> singleSequencing;

        /**
         * Gets the value of the singleSequencing property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the singleSequencing property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getSingleSequencing().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link SingleSequencing }
         * 
         * 
         */
        public List<SingleSequencing> getSingleSequencing() {
            if (singleSequencing == null) {
                singleSequencing = new ArrayList<SingleSequencing>();
            }
            return this.singleSequencing;
        }

    }

}
